From: j.glisse@gmail.com
To: linux-kernel@vger.kernel.org
Cc: "Jérôme Glisse" <jglisse@redhat.com>,
linux-kbuild@vger.kernel.org, "Michal Marek" <mmarek@suse.cz>,
"Linus Torvalds" <torvalds@linux-foundation.org>
Subject: [PATCH] scripts/package: binrpm-pkg do not build source tar file
Date: Fri, 31 Oct 2014 15:05:31 -0400 [thread overview]
Message-ID: <1414782331-7987-1-git-send-email-j.glisse@gmail.com> (raw)
From: Jérôme Glisse <jglisse@redhat.com>
When doing make binrpm-pkg we do not want to build the source tar
file. This patch avoid doing the gigantic tar file.
Signed-off-by: Jérôme Glisse <jglisse@redhat.com>
Cc: linux-kbuild@vger.kernel.org
Cc: Michal Marek <mmarek@suse.cz>
Cc: Linus Torvalds <torvalds@linux-foundation.org>
---
scripts/package/mkspec | 2 ++
1 file changed, 2 insertions(+)
diff --git a/scripts/package/mkspec b/scripts/package/mkspec
index 1395760..b6f5e31 100755
--- a/scripts/package/mkspec
+++ b/scripts/package/mkspec
@@ -119,8 +119,10 @@ echo "%endif"
echo 'rm -f $RPM_BUILD_ROOT'"/lib/modules/$KERNELRELEASE/{build,source}"
echo "mkdir -p "'$RPM_BUILD_ROOT'"/usr/src/kernels/$KERNELRELEASE"
+if ! $PREBUILT; then
echo "EXCLUDES=\"$RCS_TAR_IGNORE --exclude .tmp_versions --exclude=*vmlinux* --exclude=*.o --exclude=*.ko --exclude=*.cmd --exclude=Documentation --exclude=firmware --exclude .config.old --exclude .missing-syscalls.d\""
echo "tar "'$EXCLUDES'" -cf- . | (cd "'$RPM_BUILD_ROOT'"/usr/src/kernels/$KERNELRELEASE;tar xvf -)"
+fi
echo 'cd $RPM_BUILD_ROOT'"/lib/modules/$KERNELRELEASE"
echo "ln -sf /usr/src/kernels/$KERNELRELEASE build"
echo "ln -sf /usr/src/kernels/$KERNELRELEASE source"
--
1.9.3
next reply other threads:[~2014-10-31 19:05 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2014-10-31 19:05 j.glisse [this message]
2014-11-08 1:32 ` Jerome Glisse
2014-11-27 14:33 ` Michal Marek
2014-12-01 21:11 ` Jerome Glisse
-- strict thread matches above, loose matches on Subject: below --
2014-04-27 1:33 j.glisse
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1414782331-7987-1-git-send-email-j.glisse@gmail.com \
--to=j.glisse@gmail.com \
--cc=jglisse@redhat.com \
--cc=linux-kbuild@vger.kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=mmarek@suse.cz \
--cc=torvalds@linux-foundation.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
all inboxes | Powered by JetHome®